Read all accounts
curl --request GET \
--url https://api.lumx.io/accounts \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.lumx.io/accounts"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.lumx.io/accounts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "d06d342c-629a-4d99-a26f-34e8ea528403",
"customerId": "768d6aac-627e-44e8-aabd-d51d10f59c02",
"status": "ACTIVE",
"currency": "EUR",
"createdAt": "2026-05-13T20:49:13.236Z",
"updatedAt": "2026-05-14T13:55:15.418Z"
},
{
"id": "af04e979-360a-428a-84e6-cbd8ffc4942b",
"customerId": "768d6aac-627e-44e8-aabd-d51d10f59c02",
"status": "ACTIVE",
"currency": "USD",
"createdAt": "2026-05-13T20:49:13.236Z",
"updatedAt": "2026-05-14T13:55:15.567Z"
},
{
"id": "8412f484-32fe-418f-80d1-99eb1b3ba7f3",
"customerId": "768d6aac-627e-44e8-aabd-d51d10f59c02",
"status": "ACTIVE",
"currency": "BRL",
"createdAt": "2026-05-13T20:49:13.236Z",
"updatedAt": "2026-05-14T13:55:15.418Z"
}
],
"pagination": {
"size": 25,
"total": 3,
"hasNextPage": false,
"hasPreviousPage": false,
"nextCursor": null,
"previousCursor": null
}
}Accounts
Read all accounts
This endpoint reads all accounts.
GET
/
accounts
Read all accounts
Authorizations
Bearer authentication header on the format Bearer <API_KEY>.
Query Parameters
Number of accounts to return per page.
Required range:
1 <= x <= 100Cursor for pagination. Use the nextCursor or previousCursor from the previous response to get the next or previous page.
Filter accounts by customer's unique identifier.
⌘I